unsigned char USB_initialize_BSL(unsigned char* comPort, long rate, unsigned int mode, unsigned char family);
void USB_setVerbose(unsigned int verb);
void USB_sendData(unsigned char* buf, unsigned int num_bytes);
int USB_receiveData(unsigned char* buf);
void USB_delay(int time);

#define TIMEOUT_ERROR      0xEE
#define MAX_USB_FRAME_SIZE 63
#define BSL_ACK            0x00
#define UNKNOWN_COMMAND    0x07

unsigned char USB_dataBuffer[MAX_USB_FRAME_SIZE-1];